﻿using System;
using System.Collections.Generic;
using System.Text;

namespace BVSoftware.MoneyBaby.Gateways
{
    public class AuthorizeNetGatewaySettings: PaymentGatewaySettings
    {
        private string _Username = string.Empty;
        private string _Password = string.Empty;
        private bool _EmailCustomer = false;        

        public string Username
        {
            get { return _Username; }
            set { _Username = value; }
        }
        public string Password
        {
            get { return _Password; }
            set { _Password = value; }
        }
        public bool EmailCustomer
        {
            get { return _EmailCustomer; }
            set { _EmailCustomer = value; }
        }

        public override void PopulateChildFromGeneric(GenericPaymentGatewaySettings genericSettings)
        {
            if (genericSettings.ContainsValue("Username"))
            {
                this.Username = (string)genericSettings.GetValue("Username");
            }

            if (genericSettings.ContainsValue("Password"))
            {
                this.Password = (string)genericSettings.GetValue("Password");
            }

            if (genericSettings.ContainsValue("EmailCustomer"))
            {
                this.EmailCustomer = (bool)genericSettings.GetValue("EmailCustomer");
            }
        }
    }
}
