﻿using System;
using System.Collections.Generic;
using System.Text;

namespace BVSoftware.MoneyBaby.Gateways
{
    public class WorldPayJuniorSelectGatewaySettings: PaymentGatewaySettings
    {        
        private string _Username = string.Empty;
        private string _Password = string.Empty;
        private string _CurrencyCode = "USD";

        public string Username
        {
            get { return _Username; }
            set { _Username = value; }
        }

        public string Password
        {
            get { return _Password; }
            set { _Password = value; }
        }

        public string CurrencyCode
        {
            get { return _CurrencyCode; }
            set { _CurrencyCode = value; }
        }

        public override void PopulateChildFromGeneric(GenericPaymentGatewaySettings genericSettings)
        {
            if (genericSettings.ContainsValue("Username"))
            {
                this.Username = (string)genericSettings.GetValue("Username");
            }

            if (genericSettings.ContainsValue("Password"))
            {
                this.Password = (string)genericSettings.GetValue("Password");
            }

            if (genericSettings.ContainsValue("CurrencyCode"))
            {
                this.CurrencyCode = (string)genericSettings.GetValue("CurrencyCode");
            }
        }
    }
}
