﻿//**************************************************************
//
// MoneyBaby Project - Open source payment processors for .NET
//
// Copyright 2007-2008 Marcus McConnell and BV Software
// www.CodePlex.com/MoneyBaby
//**************************************************************

using System;
using System.Collections.Generic;
using System.Text;

namespace BVSoftware.MoneyBaby
{
    public class TransactionResultData
    {

        // local variables
        private string _AVSCode = string.Empty;
        private string _AVSCodeDescription = string.Empty;
        private string _CVVCode = string.Empty;
        private string _CVVCodeDescription = string.Empty;
        private string _ResponseCode = string.Empty;
        private string _ResponseCodeDescription = string.Empty;
        private bool _Succeeded = false;
        private List<TransactionMessage> _Messages = new List<TransactionMessage>();
        private string _TransactionReferenceNumber = string.Empty;
        private string _TransactionReferenceNumber2 = string.Empty;
                

        // properties
        public string AVSCode
        {
            get { return _AVSCode; }
            set { _AVSCode = value; }
        }
        public string AVSCodeDescription
        {
            get { return _AVSCodeDescription; }
            set { _AVSCodeDescription = value; }
        }
        public string CVVCode
        {
            get { return _CVVCode; }
            set { _CVVCode = value; }
        }
        public string CVVCodeDescription
        {
            get { return _CVVCodeDescription; }
            set { _CVVCodeDescription = value; }
        }
        public string ResponseCode
        {
            get { return _ResponseCode; }
            set { _ResponseCode = value; }
        }
        public string ResponseCodeDescription
        {
            get { return _ResponseCodeDescription; }
            set { _ResponseCodeDescription = value; }
        }
        public bool Suceeded
        {
            get { return _Succeeded; }
            set { _Succeeded = value; }
        }
        public List<TransactionMessage> Messages
        {
            get { return _Messages; }
            set { _Messages = value; }
        }
        public string TransactionReferenceNumber
        {
            get { return _TransactionReferenceNumber; }
            set { _TransactionReferenceNumber = value; }
        }
        public string TransactionReferenceNumber2
        {
            get { return _TransactionReferenceNumber2; }
            set { _TransactionReferenceNumber2 = value; }
        }

    }
}
